Subject: Re: How to use ssmtp ?
From: Tino Lange <[email-masked]>
To: a12 <[email-masked]>
Cc: [email-masked]
Date: Fri, 14 Mar 2003 13:07:32 +0100

>>>I have fetched Blat http://www.interlog.com/~tcharron/blat.html
 >>>and an one-liner (b.bat) contains:
 >>>blat.exe mpu.log -t [email-masked] -f AutoIT@rrback -server
 >>>mail.xyz.com -log blat.log -s "Error detected in mpu_fh"
 >>>(Of course xyz.com and mail.xyz.com are not real names).
 >>>
 >>>Now, I would like to send a mail using ssmtp, but I do neither
 >>>find the required info in 'man ssmtp' nor in
 >>>/usr/doc/Cygwin/ssmtp-2.38.7/
 >>>
 >>>More hints will be greatly appreciated.
 >>
 >>echo test|ssmtp -s test [email-masked]

> The To: field is empty. How do I set it ?
> The Subject: field is empty. How do I set it ?
> How do I send a file ?

Forget about ssmtp! Really.
As you just realize it's not easy to use and if you want to send files 
it's not useable at all, since it has a limit of mails <= 4k size.

Use either blat, which is really a cool tool and should work fine under 
cygwin too. It has all you need, is stable, reliable, just great software.

Or if you like to have something more like a real "sendmail"-wrapper 
(just forwarding), you can easily write your own small wrapper in perl 
or python, which will be better than ssmtp in just a few lines of code...

I can send you mine as an example, if you're interested.

Cheers,

Tino

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/